org.wso2.carbon.dataservices.ui.beans

## Class WebQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.NonSQLQuery
    - - org.wso2.carbon.dataservices.ui.beans.WebQuery

-     public class WebQuery
      extends NonSQLQuery

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.dataservices.ui.beans.NonSQLQuery

      `columnNames, columnOrder, hasHeaders, headerRow, maxRowCount, startingRow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebQuery(org.apache.axis2.description.AxisService axisService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String` | `getWebConfig()`
    `void` | `setWebConfig(String webConfig)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.NonSQLQuery

      `getColumnNames, getColumnOrder, getHeaderRow, getMaxRowCount, getStartingRow, hasHeaders, setColumnNames, setColumnOrder, setHasHeaders, setHeaderRow, setMaxRowCount, setStartingRow`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebQuery

          public WebQuery(org.apache.axis2.description.AxisService axisService)

  - ### Method Detail

    - #### getWebConfig

          public String getWebConfig()

    - #### setWebConfig

          public void setWebConfig(String webConfig)

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `NonSQLQuery`
      Returns:
        OMElement

Copyright © 2019 WSO2. All rights reserved.